/**
 * Copyright 2010 Tristan Tarrant
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.dataforte.commons.resources;

import java.util.MissingResourceException;
import java.util.ResourceBundle;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class ResourceBundleUtils {
	private static final Pattern messagePattern = Pattern.compile("\\$\\{([\\w\\.]+)\\}");

	public static String replace(String message, ResourceBundle bundle) {
		Matcher matcher = messagePattern.matcher(message);
		StringBuffer sb = new StringBuffer();
		while (matcher.find()) {
			String key = matcher.group(1);
			try {
				matcher.appendReplacement(sb, bundle.getString(key));
			} catch (MissingResourceException e) {
				matcher.appendReplacement(sb, key);
			}
		}
		matcher.appendTail(sb);
		return sb.toString();
	}

}
